Support multi-page DjVu files and other image handler parameters in image galleries
Closed, ResolvedPublic

Description

Author: bayo.fr

Description:
We can display a page of a DJVU file with the syntaxe

[[Image:Katia.djvu|page=10|thumb]]

but impossible to use it on a gallery

Maybe it can became usefull to allow it on the gallery

<gallery>
Image:Katia.djvu|page=1|Cover
Image:Katia.djvu|page=2|Introduction
Image:Katia.djvu|page=3|The author explain...
Image:Katia.djvu|page=4|Engraving of...
</gallery>


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Parser.Via ConduitNov 21 2014, 9:32 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz8480.
bzimport created this task.Via LegacyJan 4 2007, 3:15 AM
bzimport added a comment.Via ConduitJan 4 2007, 1:20 PM

robchur wrote:

I'm concerned that the syntax proposed would break existing gallery uses, and
would be more inclined to put the "page=" bit at the end.

Billinghurst added a comment.Via ConduitJan 1 2010, 5:50 AM

It would be good to have an easy means to display pages of a djvu in a gallery in some ready format. It becomes a right nuisance to find the right page by either means.

Billinghurst added a comment.Via ConduitJan 26 2010, 4:08 AM

(In reply to comment #1)

I'm concerned that the syntax proposed would break existing gallery uses, and
would be more inclined to put the "page=" bit at the end.

Instead of "page=" could look to utilise the alternate syntax "/page" ?
eg. File:Long filename.djvu/7, which is utilised elsewhere. like in [[:mw:Extension:Proofread Page]]

Qgil added a comment.Via ConduitApr 13 2013, 5:15 PM

This enhancement request refers to djvu files but actually it needs to be applied in the parser. Moving to the right component with the hope that it will receive more feedback.

gerritbot added a comment.Via ConduitApr 25 2013, 3:11 PM

Related URL: https://gerrit.wikimedia.org/r/60858 (Gerrit Change Ib831d89ed8676deb2f44238ff9a23ce58ad4d2df)

Bawolff added a comment.Via ConduitApr 25 2013, 3:13 PM

(In reply to comment #5)

Related URL: https://gerrit.wikimedia.org/r/60858 (Gerrit Change
Ib831d89ed8676deb2f44238ff9a23ce58ad4d2df)

See, this is what happens when people are naggy on irc ;)

bzimport added a comment.Via ConduitJul 5 2013, 3:40 PM

sumanah wrote:

It seems like there are no particular objections to merging this patchset?

Billinghurst added a comment.Via ConduitJul 6 2013, 12:36 AM

I think that it would be fantastic.

Can I note that it is not evident to a numbskull like myself what was actually decided to be done in the code. I think that it may be an implementation of "page= " and it seems that it may also have some time handler information too, but once it goes live, I am not sure how one might handle the second.

Bawolff added a comment.Via ConduitJul 6 2013, 12:48 AM

Basically gallery tags now reuses some of the code that handles parameters of thumbnails

So you can do

<gallery>
Mydoc.pdf|page=5|caption here
MyTiff.tif|lossy|caption
</gallery>

Or basically any other image type specific parameter (so you could disable the full screen button on ogv or set a language on svg once the svg lang support is fixed.)

Micru added a comment.Via ConduitJul 25 2013, 12:41 PM

I have tried it on ca.wikisource.org and it works great :)

For instance for the first file of the gallery, page 6 is being displayed:
https://ca.wikisource.org/wiki/Plantilla:Novetats-galeria

Good job, Bawolff!

Cheers,
Micru

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.